module Unicode exposing (unicode)


unicode : Int -> Char
unicode x =
    let
        high =
            x // 0x0100

        low =
            x % 0x0100
    in
    case high of
        0x00 ->
            unicode00 x

        0x01 ->
            unicode01 x

        0x02 ->
            unicode02 x

        0x03 ->
            unicode03 x

        _ ->
            '\xFFFE'


unicode00 : Int -> Char
unicode00 x =
    case x of
        0x00 ->
            '\x00'

        0x01 ->
            '\x01'

        0x02 ->
            '\x02'

        0x03 ->
            '\x03'

        0x04 ->
            '\x04'

        0x05 ->
            '\x05'

        0x06 ->
            '\x06'

        0x07 ->
            '\x07'

        0x08 ->
            '\x08'

        0x09 ->
            '\t'

        0x0A ->
            '\n'

        0x0B ->
            '\x0B'

        0x0C ->
            '\x0C'

        0x0D ->
            '\x0D'

        0x0E ->
            '\x0E'

        0x0F ->
            '\x0F'

        0x10 ->
            '\x10'

        0x11 ->
            '\x11'

        0x12 ->
            '\x12'

        0x13 ->
            '\x13'

        0x14 ->
            '\x14'

        0x15 ->
            '\x15'

        0x16 ->
            '\x16'

        0x17 ->
            '\x17'

        0x18 ->
            '\x18'

        0x19 ->
            '\x19'

        0x1A ->
            '\x1A'

        0x1B ->
            '\x1B'

        0x1C ->
            '\x1C'

        0x1D ->
            '\x1D'

        0x1E ->
            '\x1E'

        0x1F ->
            '\x1F'

        0x20 ->
            ' '

        0x21 ->
            '!'

        0x22 ->
            '"'

        0x23 ->
            '#'

        0x24 ->
            '$'

        0x25 ->
            '%'

        0x26 ->
            '&'

        0x27 ->
            '\''

        0x28 ->
            '('

        0x29 ->
            ')'

        0x2A ->
            '*'

        0x2B ->
            '+'

        0x2C ->
            ','

        0x2D ->
            '-'

        0x2E ->
            '.'

        0x2F ->
            '/'

        0x30 ->
            '0'

        0x31 ->
            '1'

        0x32 ->
            '2'

        0x33 ->
            '3'

        0x34 ->
            '4'

        0x35 ->
            '5'

        0x36 ->
            '6'

        0x37 ->
            '7'

        0x38 ->
            '8'

        0x39 ->
            '9'

        0x3A ->
            ':'

        0x3B ->
            ';'

        0x3C ->
            '<'

        0x3D ->
            '='

        0x3E ->
            '>'

        0x3F ->
            '?'

        0x40 ->
            '@'

        0x41 ->
            'A'

        0x42 ->
            'B'

        0x43 ->
            'C'

        0x44 ->
            'D'

        0x45 ->
            'E'

        0x46 ->
            'F'

        0x47 ->
            'G'

        0x48 ->
            'H'

        0x49 ->
            'I'

        0x4A ->
            'J'

        0x4B ->
            'K'

        0x4C ->
            'L'

        0x4D ->
            'M'

        0x4E ->
            'N'

        0x4F ->
            'O'

        0x50 ->
            'P'

        0x51 ->
            'Q'

        0x52 ->
            'R'

        0x53 ->
            'S'

        0x54 ->
            'T'

        0x55 ->
            'U'

        0x56 ->
            'V'

        0x57 ->
            'W'

        0x58 ->
            'X'

        0x59 ->
            'Y'

        0x5A ->
            'Z'

        0x5B ->
            '['

        0x5C ->
            '\\'

        0x5D ->
            ']'

        0x5E ->
            '^'

        0x5F ->
            '_'

        0x60 ->
            '`'

        0x61 ->
            'a'

        0x62 ->
            'b'

        0x63 ->
            'c'

        0x64 ->
            'd'

        0x65 ->
            'e'

        0x66 ->
            'f'

        0x67 ->
            'g'

        0x68 ->
            'h'

        0x69 ->
            'i'

        0x6A ->
            'j'

        0x6B ->
            'k'

        0x6C ->
            'l'

        0x6D ->
            'm'

        0x6E ->
            'n'

        0x6F ->
            'o'

        0x70 ->
            'p'

        0x71 ->
            'q'

        0x72 ->
            'r'

        0x73 ->
            's'

        0x74 ->
            't'

        0x75 ->
            'u'

        0x76 ->
            'v'

        0x77 ->
            'w'

        0x78 ->
            'x'

        0x79 ->
            'y'

        0x7A ->
            'z'

        0x7B ->
            '{'

        0x7C ->
            '|'

        0x7D ->
            '}'

        0x7E ->
            '~'

        0x7F ->
            '\x7F'

        0x80 ->
            '\x80'

        0x81 ->
            '\x81'

        0x82 ->
            '\x82'

        0x83 ->
            '\x83'

        0x84 ->
            '\x84'

        0x85 ->
            '\x85'

        0x86 ->
            '\x86'

        0x87 ->
            '\x87'

        0x88 ->
            '\x88'

        0x89 ->
            '\x89'

        0x8A ->
            '\x8A'

        0x8B ->
            '\x8B'

        0x8C ->
            '\x8C'

        0x8D ->
            '\x8D'

        0x8E ->
            '\x8E'

        0x8F ->
            '\x8F'

        0x90 ->
            '\x90'

        0x91 ->
            '\x91'

        0x92 ->
            '\x92'

        0x93 ->
            '\x93'

        0x94 ->
            '\x94'

        0x95 ->
            '\x95'

        0x96 ->
            '\x96'

        0x97 ->
            '\x97'

        0x98 ->
            '\x98'

        0x99 ->
            '\x99'

        0x9A ->
            '\x9A'

        0x9B ->
            '\x9B'

        0x9C ->
            '\x9C'

        0x9D ->
            '\x9D'

        0x9E ->
            '\x9E'

        0x9F ->
            '\x9F'

        0xA0 ->
            ' '

        0xA1 ->
            '¡'

        0xA2 ->
            '¢'

        0xA3 ->
            '£'

        0xA4 ->
            '¤'

        0xA5 ->
            '¥'

        0xA6 ->
            '¦'

        0xA7 ->
            '§'

        0xA8 ->
            '¨'

        0xA9 ->
            '©'

        0xAA ->
            'ª'

        0xAB ->
            '«'

        0xAC ->
            '¬'

        0xAD ->
            '\xAD'

        0xAE ->
            '®'

        0xAF ->
            '¯'

        0xB0 ->
            '°'

        0xB1 ->
            '±'

        0xB2 ->
            '²'

        0xB3 ->
            '³'

        0xB4 ->
            '´'

        0xB5 ->
            'µ'

        0xB6 ->
            '¶'

        0xB7 ->
            '·'

        0xB8 ->
            '¸'

        0xB9 ->
            '¹'

        0xBA ->
            'º'

        0xBB ->
            '»'

        0xBC ->
            '¼'

        0xBD ->
            '½'

        0xBE ->
            '¾'

        0xBF ->
            '¿'

        0xC0 ->
            'À'

        0xC1 ->
            'Á'

        0xC2 ->
            'Â'

        0xC3 ->
            'Ã'

        0xC4 ->
            'Ä'

        0xC5 ->
            'Å'

        0xC6 ->
            'Æ'

        0xC7 ->
            'Ç'

        0xC8 ->
            'È'

        0xC9 ->
            'É'

        0xCA ->
            'Ê'

        0xCB ->
            'Ë'

        0xCC ->
            'Ì'

        0xCD ->
            'Í'

        0xCE ->
            'Î'

        0xCF ->
            'Ï'

        0xD0 ->
            'Ð'

        0xD1 ->
            'Ñ'

        0xD2 ->
            'Ò'

        0xD3 ->
            'Ó'

        0xD4 ->
            'Ô'

        0xD5 ->
            'Õ'

        0xD6 ->
            'Ö'

        0xD7 ->
            '×'

        0xD8 ->
            'Ø'

        0xD9 ->
            'Ù'

        0xDA ->
            'Ú'

        0xDB ->
            'Û'

        0xDC ->
            'Ü'

        0xDD ->
            'Ý'

        0xDE ->
            'Þ'

        0xDF ->
            'ß'

        0xE0 ->
            'à'

        0xE1 ->
            'á'

        0xE2 ->
            'â'

        0xE3 ->
            'ã'

        0xE4 ->
            'ä'

        0xE5 ->
            'å'

        0xE6 ->
            'æ'

        0xE7 ->
            'ç'

        0xE8 ->
            'è'

        0xE9 ->
            'é'

        0xEA ->
            'ê'

        0xEB ->
            'ë'

        0xEC ->
            'ì'

        0xED ->
            'í'

        0xEE ->
            'î'

        0xEF ->
            'ï'

        0xF0 ->
            'ð'

        0xF1 ->
            'ñ'

        0xF2 ->
            'ò'

        0xF3 ->
            'ó'

        0xF4 ->
            'ô'

        0xF5 ->
            'õ'

        0xF6 ->
            'ö'

        0xF7 ->
            '÷'

        0xF8 ->
            'ø'

        0xF9 ->
            'ù'

        0xFA ->
            'ú'

        0xFB ->
            'û'

        0xFC ->
            'ü'

        0xFD ->
            'ý'

        0xFE ->
            'þ'

        0xFF ->
            'ÿ'

        _ ->
            '\xFFFE'


unicode01 : Int -> Char
unicode01 x =
    case x of
        0x0100 ->
            'Ā'

        0x0101 ->
            'ā'

        0x0102 ->
            'Ă'

        0x0103 ->
            'ă'

        0x0104 ->
            'Ą'

        0x0105 ->
            'ą'

        0x0106 ->
            'Ć'

        0x0107 ->
            'ć'

        0x0108 ->
            'Ĉ'

        0x0109 ->
            'ĉ'

        0x010A ->
            'Ċ'

        0x010B ->
            'ċ'

        0x010C ->
            'Č'

        0x010D ->
            'č'

        0x010E ->
            'Ď'

        0x010F ->
            'ď'

        0x0110 ->
            'Đ'

        0x0111 ->
            'đ'

        0x0112 ->
            'Ē'

        0x0113 ->
            'ē'

        0x0114 ->
            'Ĕ'

        0x0115 ->
            'ĕ'

        0x0116 ->
            'Ė'

        0x0117 ->
            'ė'

        0x0118 ->
            'Ę'

        0x0119 ->
            'ę'

        0x011A ->
            'Ě'

        0x011B ->
            'ě'

        0x011C ->
            'Ĝ'

        0x011D ->
            'ĝ'

        0x011E ->
            'Ğ'

        0x011F ->
            'ğ'

        0x0120 ->
            'Ġ'

        0x0121 ->
            'ġ'

        0x0122 ->
            'Ģ'

        0x0123 ->
            'ģ'

        0x0124 ->
            'Ĥ'

        0x0125 ->
            'ĥ'

        0x0126 ->
            'Ħ'

        0x0127 ->
            'ħ'

        0x0128 ->
            'Ĩ'

        0x0129 ->
            'ĩ'

        0x012A ->
            'Ī'

        0x012B ->
            'ī'

        0x012C ->
            'Ĭ'

        0x012D ->
            'ĭ'

        0x012E ->
            'Į'

        0x012F ->
            'į'

        0x0130 ->
            'İ'

        0x0131 ->
            'ı'

        0x0132 ->
            'Ĳ'

        0x0133 ->
            'ĳ'

        0x0134 ->
            'Ĵ'

        0x0135 ->
            'ĵ'

        0x0136 ->
            'Ķ'

        0x0137 ->
            'ķ'

        0x0138 ->
            'ĸ'

        0x0139 ->
            'Ĺ'

        0x013A ->
            'ĺ'

        0x013B ->
            'Ļ'

        0x013C ->
            'ļ'

        0x013D ->
            'Ľ'

        0x013E ->
            'ľ'

        0x013F ->
            'Ŀ'

        0x0140 ->
            'ŀ'

        0x0141 ->
            'Ł'

        0x0142 ->
            'ł'

        0x0143 ->
            'Ń'

        0x0144 ->
            'ń'

        0x0145 ->
            'Ņ'

        0x0146 ->
            'ņ'

        0x0147 ->
            'Ň'

        0x0148 ->
            'ň'

        0x0149 ->
            'ŉ'

        0x014A ->
            'Ŋ'

        0x014B ->
            'ŋ'

        0x014C ->
            'Ō'

        0x014D ->
            'ō'

        0x014E ->
            'Ŏ'

        0x014F ->
            'ŏ'

        0x0150 ->
            'Ő'

        0x0151 ->
            'ő'

        0x0152 ->
            'Œ'

        0x0153 ->
            'œ'

        0x0154 ->
            'Ŕ'

        0x0155 ->
            'ŕ'

        0x0156 ->
            'Ŗ'

        0x0157 ->
            'ŗ'

        0x0158 ->
            'Ř'

        0x0159 ->
            'ř'

        0x015A ->
            'Ś'

        0x015B ->
            'ś'

        0x015C ->
            'Ŝ'

        0x015D ->
            'ŝ'

        0x015E ->
            'Ş'

        0x015F ->
            'ş'

        0x0160 ->
            'Š'

        0x0161 ->
            'š'

        0x0162 ->
            'Ţ'

        0x0163 ->
            'ţ'

        0x0164 ->
            'Ť'

        0x0165 ->
            'ť'

        0x0166 ->
            'Ŧ'

        0x0167 ->
            'ŧ'

        0x0168 ->
            'Ũ'

        0x0169 ->
            'ũ'

        0x016A ->
            'Ū'

        0x016B ->
            'ū'

        0x016C ->
            'Ŭ'

        0x016D ->
            'ŭ'

        0x016E ->
            'Ů'

        0x016F ->
            'ů'

        0x0170 ->
            'Ű'

        0x0171 ->
            'ű'

        0x0172 ->
            'Ų'

        0x0173 ->
            'ų'

        0x0174 ->
            'Ŵ'

        0x0175 ->
            'ŵ'

        0x0176 ->
            'Ŷ'

        0x0177 ->
            'ŷ'

        0x0178 ->
            'Ÿ'

        0x0179 ->
            'Ź'

        0x017A ->
            'ź'

        0x017B ->
            'Ż'

        0x017C ->
            'ż'

        0x017D ->
            'Ž'

        0x017E ->
            'ž'

        0x017F ->
            'ſ'

        0x0180 ->
            'ƀ'

        0x0181 ->
            'Ɓ'

        0x0182 ->
            'Ƃ'

        0x0183 ->
            'ƃ'

        0x0184 ->
            'Ƅ'

        0x0185 ->
            'ƅ'

        0x0186 ->
            'Ɔ'

        0x0187 ->
            'Ƈ'

        0x0188 ->
            'ƈ'

        0x0189 ->
            'Ɖ'

        0x018A ->
            'Ɗ'

        0x018B ->
            'Ƌ'

        0x018C ->
            'ƌ'

        0x018D ->
            'ƍ'

        0x018E ->
            'Ǝ'

        0x018F ->
            'Ə'

        0x0190 ->
            'Ɛ'

        0x0191 ->
            'Ƒ'

        0x0192 ->
            'ƒ'

        0x0193 ->
            'Ɠ'

        0x0194 ->
            'Ɣ'

        0x0195 ->
            'ƕ'

        0x0196 ->
            'Ɩ'

        0x0197 ->
            'Ɨ'

        0x0198 ->
            'Ƙ'

        0x0199 ->
            'ƙ'

        0x019A ->
            'ƚ'

        0x019B ->
            'ƛ'

        0x019C ->
            'Ɯ'

        0x019D ->
            'Ɲ'

        0x019E ->
            'ƞ'

        0x019F ->
            'Ɵ'

        0x01A0 ->
            'Ơ'

        0x01A1 ->
            'ơ'

        0x01A2 ->
            'Ƣ'

        0x01A3 ->
            'ƣ'

        0x01A4 ->
            'Ƥ'

        0x01A5 ->
            'ƥ'

        0x01A6 ->
            'Ʀ'

        0x01A7 ->
            'Ƨ'

        0x01A8 ->
            'ƨ'

        0x01A9 ->
            'Ʃ'

        0x01AA ->
            'ƪ'

        0x01AB ->
            'ƫ'

        0x01AC ->
            'Ƭ'

        0x01AD ->
            'ƭ'

        0x01AE ->
            'Ʈ'

        0x01AF ->
            'Ư'

        0x01B0 ->
            'ư'

        0x01B1 ->
            'Ʊ'

        0x01B2 ->
            'Ʋ'

        0x01B3 ->
            'Ƴ'

        0x01B4 ->
            'ƴ'

        0x01B5 ->
            'Ƶ'

        0x01B6 ->
            'ƶ'

        0x01B7 ->
            'Ʒ'

        0x01B8 ->
            'Ƹ'

        0x01B9 ->
            'ƹ'

        0x01BA ->
            'ƺ'

        0x01BB ->
            'ƻ'

        0x01BC ->
            'Ƽ'

        0x01BD ->
            'ƽ'

        0x01BE ->
            'ƾ'

        0x01BF ->
            'ƿ'

        0x01C0 ->
            'ǀ'

        0x01C1 ->
            'ǁ'

        0x01C2 ->
            'ǂ'

        0x01C3 ->
            'ǃ'

        0x01C4 ->
            'Ǆ'

        0x01C5 ->
            'ǅ'

        0x01C6 ->
            'ǆ'

        0x01C7 ->
            'Ǉ'

        0x01C8 ->
            'ǈ'

        0x01C9 ->
            'ǉ'

        0x01CA ->
            'Ǌ'

        0x01CB ->
            'ǋ'

        0x01CC ->
            'ǌ'

        0x01CD ->
            'Ǎ'

        0x01CE ->
            'ǎ'

        0x01CF ->
            'Ǐ'

        0x01D0 ->
            'ǐ'

        0x01D1 ->
            'Ǒ'

        0x01D2 ->
            'ǒ'

        0x01D3 ->
            'Ǔ'

        0x01D4 ->
            'ǔ'

        0x01D5 ->
            'Ǖ'

        0x01D6 ->
            'ǖ'

        0x01D7 ->
            'Ǘ'

        0x01D8 ->
            'ǘ'

        0x01D9 ->
            'Ǚ'

        0x01DA ->
            'ǚ'

        0x01DB ->
            'Ǜ'

        0x01DC ->
            'ǜ'

        0x01DD ->
            'ǝ'

        0x01DE ->
            'Ǟ'

        0x01DF ->
            'ǟ'

        0x01E0 ->
            'Ǡ'

        0x01E1 ->
            'ǡ'

        0x01E2 ->
            'Ǣ'

        0x01E3 ->
            'ǣ'

        0x01E4 ->
            'Ǥ'

        0x01E5 ->
            'ǥ'

        0x01E6 ->
            'Ǧ'

        0x01E7 ->
            'ǧ'

        0x01E8 ->
            'Ǩ'

        0x01E9 ->
            'ǩ'

        0x01EA ->
            'Ǫ'

        0x01EB ->
            'ǫ'

        0x01EC ->
            'Ǭ'

        0x01ED ->
            'ǭ'

        0x01EE ->
            'Ǯ'

        0x01EF ->
            'ǯ'

        0x01F0 ->
            'ǰ'

        0x01F1 ->
            'Ǳ'

        0x01F2 ->
            'ǲ'

        0x01F3 ->
            'ǳ'

        0x01F4 ->
            'Ǵ'

        0x01F5 ->
            'ǵ'

        0x01F6 ->
            'Ƕ'

        0x01F7 ->
            'Ƿ'

        0x01F8 ->
            'Ǹ'

        0x01F9 ->
            'ǹ'

        0x01FA ->
            'Ǻ'

        0x01FB ->
            'ǻ'

        0x01FC ->
            'Ǽ'

        0x01FD ->
            'ǽ'

        0x01FE ->
            'Ǿ'

        0x01FF ->
            'ǿ'

        _ ->
            '\xFFFE'


unicode02 : Int -> Char
unicode02 x =
    case x of
        0x0200 ->
            'Ȁ'

        0x0201 ->
            'ȁ'

        0x0202 ->
            'Ȃ'

        0x0203 ->
            'ȃ'

        0x0204 ->
            'Ȅ'

        0x0205 ->
            'ȅ'

        0x0206 ->
            'Ȇ'

        0x0207 ->
            'ȇ'

        0x0208 ->
            'Ȉ'

        0x0209 ->
            'ȉ'

        0x020A ->
            'Ȋ'

        0x020B ->
            'ȋ'

        0x020C ->
            'Ȍ'

        0x020D ->
            'ȍ'

        0x020E ->
            'Ȏ'

        0x020F ->
            'ȏ'

        0x0210 ->
            'Ȑ'

        0x0211 ->
            'ȑ'

        0x0212 ->
            'Ȓ'

        0x0213 ->
            'ȓ'

        0x0214 ->
            'Ȕ'

        0x0215 ->
            'ȕ'

        0x0216 ->
            'Ȗ'

        0x0217 ->
            'ȗ'

        0x0218 ->
            'Ș'

        0x0219 ->
            'ș'

        0x021A ->
            'Ț'

        0x021B ->
            'ț'

        0x021C ->
            'Ȝ'

        0x021D ->
            'ȝ'

        0x021E ->
            'Ȟ'

        0x021F ->
            'ȟ'

        0x0220 ->
            'Ƞ'

        0x0221 ->
            'ȡ'

        0x0222 ->
            'Ȣ'

        0x0223 ->
            'ȣ'

        0x0224 ->
            'Ȥ'

        0x0225 ->
            'ȥ'

        0x0226 ->
            'Ȧ'

        0x0227 ->
            'ȧ'

        0x0228 ->
            'Ȩ'

        0x0229 ->
            'ȩ'

        0x022A ->
            'Ȫ'

        0x022B ->
            'ȫ'

        0x022C ->
            'Ȭ'

        0x022D ->
            'ȭ'

        0x022E ->
            'Ȯ'

        0x022F ->
            'ȯ'

        0x0230 ->
            'Ȱ'

        0x0231 ->
            'ȱ'

        0x0232 ->
            'Ȳ'

        0x0233 ->
            'ȳ'

        0x0234 ->
            'ȴ'

        0x0235 ->
            'ȵ'

        0x0236 ->
            'ȶ'

        0x0237 ->
            'ȷ'

        0x0238 ->
            'ȸ'

        0x0239 ->
            'ȹ'

        0x023A ->
            'Ⱥ'

        0x023B ->
            'Ȼ'

        0x023C ->
            'ȼ'

        0x023D ->
            'Ƚ'

        0x023E ->
            'Ⱦ'

        0x023F ->
            'ȿ'

        0x0240 ->
            'ɀ'

        0x0241 ->
            'Ɂ'

        0x0242 ->
            'ɂ'

        0x0243 ->
            'Ƀ'

        0x0244 ->
            'Ʉ'

        0x0245 ->
            'Ʌ'

        0x0246 ->
            'Ɇ'

        0x0247 ->
            'ɇ'

        0x0248 ->
            'Ɉ'

        0x0249 ->
            'ɉ'

        0x024A ->
            'Ɋ'

        0x024B ->
            'ɋ'

        0x024C ->
            'Ɍ'

        0x024D ->
            'ɍ'

        0x024E ->
            'Ɏ'

        0x024F ->
            'ɏ'

        0x0250 ->
            'ɐ'

        0x0251 ->
            'ɑ'

        0x0252 ->
            'ɒ'

        0x0253 ->
            'ɓ'

        0x0254 ->
            'ɔ'

        0x0255 ->
            'ɕ'

        0x0256 ->
            'ɖ'

        0x0257 ->
            'ɗ'

        0x0258 ->
            'ɘ'

        0x0259 ->
            'ə'

        0x025A ->
            'ɚ'

        0x025B ->
            'ɛ'

        0x025C ->
            'ɜ'

        0x025D ->
            'ɝ'

        0x025E ->
            'ɞ'

        0x025F ->
            'ɟ'

        0x0260 ->
            'ɠ'

        0x0261 ->
            'ɡ'

        0x0262 ->
            'ɢ'

        0x0263 ->
            'ɣ'

        0x0264 ->
            'ɤ'

        0x0265 ->
            'ɥ'

        0x0266 ->
            'ɦ'

        0x0267 ->
            'ɧ'

        0x0268 ->
            'ɨ'

        0x0269 ->
            'ɩ'

        0x026A ->
            'ɪ'

        0x026B ->
            'ɫ'

        0x026C ->
            'ɬ'

        0x026D ->
            'ɭ'

        0x026E ->
            'ɮ'

        0x026F ->
            'ɯ'

        0x0270 ->
            'ɰ'

        0x0271 ->
            'ɱ'

        0x0272 ->
            'ɲ'

        0x0273 ->
            'ɳ'

        0x0274 ->
            'ɴ'

        0x0275 ->
            'ɵ'

        0x0276 ->
            'ɶ'

        0x0277 ->
            'ɷ'

        0x0278 ->
            'ɸ'

        0x0279 ->
            'ɹ'

        0x027A ->
            'ɺ'

        0x027B ->
            'ɻ'

        0x027C ->
            'ɼ'

        0x027D ->
            'ɽ'

        0x027E ->
            'ɾ'

        0x027F ->
            'ɿ'

        0x0280 ->
            'ʀ'

        0x0281 ->
            'ʁ'

        0x0282 ->
            'ʂ'

        0x0283 ->
            'ʃ'

        0x0284 ->
            'ʄ'

        0x0285 ->
            'ʅ'

        0x0286 ->
            'ʆ'

        0x0287 ->
            'ʇ'

        0x0288 ->
            'ʈ'

        0x0289 ->
            'ʉ'

        0x028A ->
            'ʊ'

        0x028B ->
            'ʋ'

        0x028C ->
            'ʌ'

        0x028D ->
            'ʍ'

        0x028E ->
            'ʎ'

        0x028F ->
            'ʏ'

        0x0290 ->
            'ʐ'

        0x0291 ->
            'ʑ'

        0x0292 ->
            'ʒ'

        0x0293 ->
            'ʓ'

        0x0294 ->
            'ʔ'

        0x0295 ->
            'ʕ'

        0x0296 ->
            'ʖ'

        0x0297 ->
            'ʗ'

        0x0298 ->
            'ʘ'

        0x0299 ->
            'ʙ'

        0x029A ->
            'ʚ'

        0x029B ->
            'ʛ'

        0x029C ->
            'ʜ'

        0x029D ->
            'ʝ'

        0x029E ->
            'ʞ'

        0x029F ->
            'ʟ'

        0x02A0 ->
            'ʠ'

        0x02A1 ->
            'ʡ'

        0x02A2 ->
            'ʢ'

        0x02A3 ->
            'ʣ'

        0x02A4 ->
            'ʤ'

        0x02A5 ->
            'ʥ'

        0x02A6 ->
            'ʦ'

        0x02A7 ->
            'ʧ'

        0x02A8 ->
            'ʨ'

        0x02A9 ->
            'ʩ'

        0x02AA ->
            'ʪ'

        0x02AB ->
            'ʫ'

        0x02AC ->
            'ʬ'

        0x02AD ->
            'ʭ'

        0x02AE ->
            'ʮ'

        0x02AF ->
            'ʯ'

        0x02B0 ->
            'ʰ'

        0x02B1 ->
            'ʱ'

        0x02B2 ->
            'ʲ'

        0x02B3 ->
            'ʳ'

        0x02B4 ->
            'ʴ'

        0x02B5 ->
            'ʵ'

        0x02B6 ->
            'ʶ'

        0x02B7 ->
            'ʷ'

        0x02B8 ->
            'ʸ'

        0x02B9 ->
            'ʹ'

        0x02BA ->
            'ʺ'

        0x02BB ->
            'ʻ'

        0x02BC ->
            'ʼ'

        0x02BD ->
            'ʽ'

        0x02BE ->
            'ʾ'

        0x02BF ->
            'ʿ'

        0x02C0 ->
            'ˀ'

        0x02C1 ->
            'ˁ'

        0x02C2 ->
            '˂'

        0x02C3 ->
            '˃'

        0x02C4 ->
            '˄'

        0x02C5 ->
            '˅'

        0x02C6 ->
            'ˆ'

        0x02C7 ->
            'ˇ'

        0x02C8 ->
            'ˈ'

        0x02C9 ->
            'ˉ'

        0x02CA ->
            'ˊ'

        0x02CB ->
            'ˋ'

        0x02CC ->
            'ˌ'

        0x02CD ->
            'ˍ'

        0x02CE ->
            'ˎ'

        0x02CF ->
            'ˏ'

        0x02D0 ->
            'ː'

        0x02D1 ->
            'ˑ'

        0x02D2 ->
            '˒'

        0x02D3 ->
            '˓'

        0x02D4 ->
            '˔'

        0x02D5 ->
            '˕'

        0x02D6 ->
            '˖'

        0x02D7 ->
            '˗'

        0x02D8 ->
            '˘'

        0x02D9 ->
            '˙'

        0x02DA ->
            '˚'

        0x02DB ->
            '˛'

        0x02DC ->
            '˜'

        0x02DD ->
            '˝'

        0x02DE ->
            '˞'

        0x02DF ->
            '˟'

        0x02E0 ->
            'ˠ'

        0x02E1 ->
            'ˡ'

        0x02E2 ->
            'ˢ'

        0x02E3 ->
            'ˣ'

        0x02E4 ->
            'ˤ'

        0x02E5 ->
            '˥'

        0x02E6 ->
            '˦'

        0x02E7 ->
            '˧'

        0x02E8 ->
            '˨'

        0x02E9 ->
            '˩'

        0x02EA ->
            '˪'

        0x02EB ->
            '˫'

        0x02EC ->
            'ˬ'

        0x02ED ->
            '˭'

        0x02EE ->
            'ˮ'

        0x02EF ->
            '˯'

        0x02F0 ->
            '˰'

        0x02F1 ->
            '˱'

        0x02F2 ->
            '˲'

        0x02F3 ->
            '˳'

        0x02F4 ->
            '˴'

        0x02F5 ->
            '˵'

        0x02F6 ->
            '˶'

        0x02F7 ->
            '˷'

        0x02F8 ->
            '˸'

        0x02F9 ->
            '˹'

        0x02FA ->
            '˺'

        0x02FB ->
            '˻'

        0x02FC ->
            '˼'

        0x02FD ->
            '˽'

        0x02FE ->
            '˾'

        0x02FF ->
            '˿'

        _ ->
            '\xFFFE'


unicode03 : Int -> Char
unicode03 x =
    case x of
        0x0300 ->
            '̀'

        0x0301 ->
            '́'

        0x0302 ->
            '̂'

        0x0303 ->
            '̃'

        0x0304 ->
            '̄'

        0x0305 ->
            '̅'

        0x0306 ->
            '̆'

        0x0307 ->
            '̇'

        0x0308 ->
            '̈'

        0x0309 ->
            '̉'

        0x030A ->
            '̊'

        0x030B ->
            '̋'

        0x030C ->
            '̌'

        0x030D ->
            '̍'

        0x030E ->
            '̎'

        0x030F ->
            '̏'

        0x0310 ->
            '̐'

        0x0311 ->
            '̑'

        0x0312 ->
            '̒'

        0x0313 ->
            '̓'

        0x0314 ->
            '̔'

        0x0315 ->
            '̕'

        0x0316 ->
            '̖'

        0x0317 ->
            '̗'

        0x0318 ->
            '̘'

        0x0319 ->
            '̙'

        0x031A ->
            '̚'

        0x031B ->
            '̛'

        0x031C ->
            '̜'

        0x031D ->
            '̝'

        0x031E ->
            '̞'

        0x031F ->
            '̟'

        0x0320 ->
            '̠'

        0x0321 ->
            '̡'

        0x0322 ->
            '̢'

        0x0323 ->
            '̣'

        0x0324 ->
            '̤'

        0x0325 ->
            '̥'

        0x0326 ->
            '̦'

        0x0327 ->
            '̧'

        0x0328 ->
            '̨'

        0x0329 ->
            '̩'

        0x032A ->
            '̪'

        0x032B ->
            '̫'

        0x032C ->
            '̬'

        0x032D ->
            '̭'

        0x032E ->
            '̮'

        0x032F ->
            '̯'

        0x0330 ->
            '̰'

        0x0331 ->
            '̱'

        0x0332 ->
            '̲'

        0x0333 ->
            '̳'

        0x0334 ->
            '̴'

        0x0335 ->
            '̵'

        0x0336 ->
            '̶'

        0x0337 ->
            '̷'

        0x0338 ->
            '̸'

        0x0339 ->
            '̹'

        0x033A ->
            '̺'

        0x033B ->
            '̻'

        0x033C ->
            '̼'

        0x033D ->
            '̽'

        0x033E ->
            '̾'

        0x033F ->
            '̿'

        0x0340 ->
            '̀'

        0x0341 ->
            '́'

        0x0342 ->
            '͂'

        0x0343 ->
            '̓'

        0x0344 ->
            '̈́'

        0x0345 ->
            'ͅ'

        0x0346 ->
            '͆'

        0x0347 ->
            '͇'

        0x0348 ->
            '͈'

        0x0349 ->
            '͉'

        0x034A ->
            '͊'

        0x034B ->
            '͋'

        0x034C ->
            '͌'

        0x034D ->
            '͍'

        0x034E ->
            '͎'

        0x034F ->
            '͏'

        0x0350 ->
            '͐'

        0x0351 ->
            '͑'

        0x0352 ->
            '͒'

        0x0353 ->
            '͓'

        0x0354 ->
            '͔'

        0x0355 ->
            '͕'

        0x0356 ->
            '͖'

        0x0357 ->
            '͗'

        0x0358 ->
            '͘'

        0x0359 ->
            '͙'

        0x035A ->
            '͚'

        0x035B ->
            '͛'

        0x035C ->
            '͜'

        0x035D ->
            '͝'

        0x035E ->
            '͞'

        0x035F ->
            '͟'

        0x0360 ->
            '͠'

        0x0361 ->
            '͡'

        0x0362 ->
            '͢'

        0x0363 ->
            'ͣ'

        0x0364 ->
            'ͤ'

        0x0365 ->
            'ͥ'

        0x0366 ->
            'ͦ'

        0x0367 ->
            'ͧ'

        0x0368 ->
            'ͨ'

        0x0369 ->
            'ͩ'

        0x036A ->
            'ͪ'

        0x036B ->
            'ͫ'

        0x036C ->
            'ͬ'

        0x036D ->
            'ͭ'

        0x036E ->
            'ͮ'

        0x036F ->
            'ͯ'

        0x0370 ->
            'Ͱ'

        0x0371 ->
            'ͱ'

        0x0372 ->
            'Ͳ'

        0x0373 ->
            'ͳ'

        0x0374 ->
            'ʹ'

        0x0375 ->
            '͵'

        0x0376 ->
            'Ͷ'

        0x0377 ->
            'ͷ'

        0x0378 ->
            '\x0378'

        0x0379 ->
            '\x0379'

        0x037A ->
            'ͺ'

        0x037B ->
            'ͻ'

        0x037C ->
            'ͼ'

        0x037D ->
            'ͽ'

        0x037E ->
            ';'

        0x037F ->
            'Ϳ'

        0x0380 ->
            '\x0380'

        0x0381 ->
            '\x0381'

        0x0382 ->
            '\x0382'

        0x0383 ->
            '\x0383'

        0x0384 ->
            '΄'

        0x0385 ->
            '΅'

        0x0386 ->
            'Ά'

        0x0387 ->
            '·'

        0x0388 ->
            'Έ'

        0x0389 ->
            'Ή'

        0x038A ->
            'Ί'

        0x038B ->
            '\x038B'

        0x038C ->
            'Ό'

        0x038D ->
            '\x038D'

        0x038E ->
            'Ύ'

        0x038F ->
            'Ώ'

        0x0390 ->
            'ΐ'

        0x0391 ->
            'Α'

        0x0392 ->
            'Β'

        0x0393 ->
            'Γ'

        0x0394 ->
            'Δ'

        0x0395 ->
            'Ε'

        0x0396 ->
            'Ζ'

        0x0397 ->
            'Η'

        0x0398 ->
            'Θ'

        0x0399 ->
            'Ι'

        0x039A ->
            'Κ'

        0x039B ->
            'Λ'

        0x039C ->
            'Μ'

        0x039D ->
            'Ν'

        0x039E ->
            'Ξ'

        0x039F ->
            'Ο'

        0x03A0 ->
            'Π'

        0x03A1 ->
            'Ρ'

        0x03A2 ->
            '\x03A2'

        0x03A3 ->
            'Σ'

        0x03A4 ->
            'Τ'

        0x03A5 ->
            'Υ'

        0x03A6 ->
            'Φ'

        0x03A7 ->
            'Χ'

        0x03A8 ->
            'Ψ'

        0x03A9 ->
            'Ω'

        0x03AA ->
            'Ϊ'

        0x03AB ->
            'Ϋ'

        0x03AC ->
            'ά'

        0x03AD ->
            'έ'

        0x03AE ->
            'ή'

        0x03AF ->
            'ί'

        0x03B0 ->
            'ΰ'

        0x03B1 ->
            'α'

        0x03B2 ->
            'β'

        0x03B3 ->
            'γ'

        0x03B4 ->
            'δ'

        0x03B5 ->
            'ε'

        0x03B6 ->
            'ζ'

        0x03B7 ->
            'η'

        0x03B8 ->
            'θ'

        0x03B9 ->
            'ι'

        0x03BA ->
            'κ'

        0x03BB ->
            'λ'

        0x03BC ->
            'μ'

        0x03BD ->
            'ν'

        0x03BE ->
            'ξ'

        0x03BF ->
            'ο'

        0x03C0 ->
            'π'

        0x03C1 ->
            'ρ'

        0x03C2 ->
            'ς'

        0x03C3 ->
            'σ'

        0x03C4 ->
            'τ'

        0x03C5 ->
            'υ'

        0x03C6 ->
            'φ'

        0x03C7 ->
            'χ'

        0x03C8 ->
            'ψ'

        0x03C9 ->
            'ω'

        0x03CA ->
            'ϊ'

        0x03CB ->
            'ϋ'

        0x03CC ->
            'ό'

        0x03CD ->
            'ύ'

        0x03CE ->
            'ώ'

        0x03CF ->
            'Ϗ'

        0x03D0 ->
            'ϐ'

        0x03D1 ->
            'ϑ'

        0x03D2 ->
            'ϒ'

        0x03D3 ->
            'ϓ'

        0x03D4 ->
            'ϔ'

        0x03D5 ->
            'ϕ'

        0x03D6 ->
            'ϖ'

        0x03D7 ->
            'ϗ'

        0x03D8 ->
            'Ϙ'

        0x03D9 ->
            'ϙ'

        0x03DA ->
            'Ϛ'

        0x03DB ->
            'ϛ'

        0x03DC ->
            'Ϝ'

        0x03DD ->
            'ϝ'

        0x03DE ->
            'Ϟ'

        0x03DF ->
            'ϟ'

        0x03E0 ->
            'Ϡ'

        0x03E1 ->
            'ϡ'

        0x03E2 ->
            'Ϣ'

        0x03E3 ->
            'ϣ'

        0x03E4 ->
            'Ϥ'

        0x03E5 ->
            'ϥ'

        0x03E6 ->
            'Ϧ'

        0x03E7 ->
            'ϧ'

        0x03E8 ->
            'Ϩ'

        0x03E9 ->
            'ϩ'

        0x03EA ->
            'Ϫ'

        0x03EB ->
            'ϫ'

        0x03EC ->
            'Ϭ'

        0x03ED ->
            'ϭ'

        0x03EE ->
            'Ϯ'

        0x03EF ->
            'ϯ'

        0x03F0 ->
            'ϰ'

        0x03F1 ->
            'ϱ'

        0x03F2 ->
            'ϲ'

        0x03F3 ->
            'ϳ'

        0x03F4 ->
            'ϴ'

        0x03F5 ->
            'ϵ'

        0x03F6 ->
            '϶'

        0x03F7 ->
            'Ϸ'

        0x03F8 ->
            'ϸ'

        0x03F9 ->
            'Ϲ'

        0x03FA ->
            'Ϻ'

        0x03FB ->
            'ϻ'

        0x03FC ->
            'ϼ'

        0x03FD ->
            'Ͻ'

        0x03FE ->
            'Ͼ'

        0x03FF ->
            'Ͽ'

        _ ->
            '\xFFFE'
